<div class="container-fluid text-center">
  <div class="container-fluid">
    <h3>
      {{queuedPomodoros | i18nPlural:queueRenderMapping}} for today
    </h3>
    <p *ngIf="queuedPomodoros > 0">
      <small>Estimated time: {{queuedPomodoros * timerMinutes | pomodoroFormattedTime }}</small>
    </p>
    <p>
      <span *ngFor="let queuedTask of tasks | queuedOnly: true ">
        <app-task-icons [taskTooltip]="tooltip" [task]="queuedTask" [size]="50"></app-task-icons>
      </span>
    </p>
    <p #tooltip [hidden]="queuedPomodoros === 0">Mouseover for details</p>
    <h4>Tasks backlog</h4>
  </div>
  <table class="table table-sm table-hover">
    <thead>
      <tr>
        <th>Task ID</th>
        <th>Name</th>
        <th>Delivered by</th>
        <th>Pomodoros</th>
        <th>Actions</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let task of tasks, let i = index">
        <th scope="row">
          {{i + 1}}
          <span *ngIf="task.queued" class="badge badge-info">
            Queued
          </span>
        </th>
        <td>
          {{task.name | slice: 0:35}}
          <span [hidden]="task.name.length < 35">...</span>
        </td>
        <td>
          {{task.deadline | date: 'mediumDate'}}
          <span *ngIf="task.deadline < today" class="badge badge-danger">Due</span>
        </td>
        <td>{{task.pomodorosRequired}}</td>
        <td>
          <button type="button" class="btn btn-outline-info btn-sm"
          (click)="toggleTask(task)" [ngSwitch]="task.queued">
            <span *ngSwitchCase="false">
              Add
            </span>
            <span *ngSwitchCase="true">
              Remove
            </span>
            <span *ngSwitchDefault>
              Add
            </span>
          </button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
